<br><br><center>
<?
define("bath","university");

if(!include("db.php"))
{
  echo "Configuration file (db.php) cannot be found!";
  die();
}

$db = DB::connect($dsn);

$query = <<<ENDOFSTRING
DROP TABLE IF EXISTS `st221_rb247_project_users`;
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
CREATE TABLE `st221_rb247_project_users` (
`BUCS_id` varchar(8) NOT NULL,
`Forename` varchar(32) NOT NULL,
`Surname` varchar(32) NOT NULL,
`Password` varchar(32) NOT NULL,
`Telephone` bigint(40) NOT NULL,
`Session_id` varchar(32) NOT NULL,
PRIMARY KEY (`BUCS_id`),
INDEX (`Session_id`)
) TYPE=MyISAM
COMMENT='Users table... password & session_id use PHP md5 encryption';
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
DROP TABLE IF EXISTS `st221_rb247_project_books`;
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
CREATE TABLE `st221_rb247_project_books` (
`ISBN` bigint(40) NOT NULL,
`BUCS_id` varchar(8) NOT NULL REFERENCES `st221_rb247_project_users`,
`Title` varchar(32) NOT NULL,
`Authors` varchar(32) NOT NULL,
`Edition_nb` int(8) NOT NULL,
`Publication_date` varchar(8) NOT NULL,
`Publisher` varchar(32) NOT NULL,
`Subject` enum('Biology', 'Economy', 'Mathematics', 'Sociology', 'Computers',
'Mechanics', 'Physics', 'Literature', 'History', 'Geography',
'Philosophy') NOT NULL,
PRIMARY KEY (`ISBN`)
) TYPE=MyISAM
COMMENT='Books table... We also store who entered book info';
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
DROP TABLE IF EXISTS `st221_rb247_project_sells`;
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
CREATE TABLE `st221_rb247_project_sells` (
`Sell_id` int(8) NOT NULL AUTO_INCREMENT,
`BUCS_id` varchar(8) NOT NULL REFERENCES `st221_rb247_project_users`,
`ISBN` bigint(40) NOT NULL REFERENCES `st221_rb247_project_books`,
`Condition` enum('As good as new', 'Good', 'Medium','Quite bad, still readable',
'Really bad: missing / unreadable pages') NOT NULL,
`Reserve_price` int(8) NOT NULL,
`Initial_price` int(8) NOT NULL,
`Date_started` int(11) NOT NULL,
`Date_ending` int(11) NOT NULL,
`Status` enum('on sale','removed','sold') NOT NULL,
PRIMARY KEY (`Sell_id`),
INDEX (`BUCS_id`)
) TYPE=MyISAM
COMMENT='Sell details... Prices are in pounds * 10';
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
DROP TABLE IF EXISTS `st221_rb247_project_bids`;
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
CREATE TABLE `st221_rb247_project_bids` (
`Sell_id` int(8) NOT NULL REFERENCES `st221_rb247_project_sell_details`,
`BUCS_id` varchar(8) NOT NULL REFERENCES `st221_rb247_project_users`,
`Bid_price` int(8) NOT NULL,
INDEX (`BUCS_id`),
INDEX (`Sell_id`)
) TYPE=MyISAM
COMMENT='Bids table... Prices are in pounds * 10';
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_bids` VALUES (6, 'aa001', 20);
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_bids` VALUES (4, 'bb001', 90);
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_bids` VALUES (8, 'dd001', 20);
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_bids` VALUES (7, 'dd001', 91);
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_books` VALUES (1, 'cc001', 'algebra1', 'Dr Frayme', 1, 'Oct 1998', 'Dunod', 'Mathematics');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_books` VALUES (9, 'cc001', 'Martine a la montagne', 'Dr la foret', 1, 'Oct 1856', 'Heidi', 'Literature');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_books` VALUES (2, 'rb247', 'analyse1', 'Dr Simon', 1, 'Oct 1997', 'Dunod', 'Mathematics');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_books` VALUES (3, 'rb247', 'analyse2', 'Dr Dumas', 1, 'Oct 1997', 'Dunod', 'Biology');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_books` VALUES (5, 'rb247', 'Safety critical', 'Dr Willis', 1, 'Oct 2004', 'Bath', 'Computers');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_books` VALUES (6, 'rb247', 'Learn how to ski', 'Barraq', 1, 'Oct 2004', 'NOMIND', 'Literature');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_books` VALUES (10, 'dd001', 'Quadratic form', 'Dr Dolitle', 2, 'Oct 2004', 'Dunod', 'Mathematics');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_books` VALUES (90, 'dd001', 'Java for Dummies', 'Some author', 1, 'Oct 1998', 'Dingo', 'Computers');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_books` VALUES (7, 'bb001', 'JamesBond', 'Bond', 7, 'Oct 1907', 'Dunod', 'Literature');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_books` VALUES (20, 'bb001', 'OpenGl : octree', 'Simon', 1, 'Oct 1997', 'Game tutorial', 'Computers');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_books` VALUES (21, 'bb001', 'ARM Assembler: the basics', 'Pierre Abrakem', 1, 'Oct 2002', 'UJF', 'Computers');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_books` VALUES (393047857, 'dd001', 'The Universal Computer', 'Martin Davis', 1, 'Dec 2000', 'Norton', 'Computers');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_sells` VALUES (1, 'cc001', 1, 'As good as new', 50, 50, 1102434012, 1104594012, 'on sale');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_sells` VALUES (2, 'cc001', 9, 'Quite bad, still readable', 10, 10, 1102434090, 1104162090, 'on sale');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_sells` VALUES (3, 'rb247', 1, 'As good as new', 20, 20, 1102434179, 1102866179, 'on sale');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_sells` VALUES (4, 'rb247', 6, 'As good as new', 80, 80, 1102434547, 1103730547, 'on sale');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_sells` VALUES (5, 'dd001', 10, 'Medium', 30, 30, 1102434670, 1102866670, 'on sale');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_sells` VALUES (6, 'dd001', 90, 'As good as new', 10, 10, 1102434892, 1102435892, 'on sale');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_sells` VALUES (7, 'bb001', 20, 'As good as new', 90, 90, 1102435069, 1102953469, 'on sale');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_sells` VALUES (8, 'bb001', 21, '', 10, 10, 1102435158, 1103731158, 'on sale');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_sells` VALUES (9, 'dd001', 393047857, 'Good', 30, 20, 1102616344, 1102702744, 'on sale');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_users` VALUES ('bla', 'bla', 'bla', '128ecf542a35ac5270a87dc740918404', 1234567890, '');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_users` VALUES ('jb007', 'james', 'bond', '128ecf542a35ac5270a87dc740918404', 1234567890, '');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_users` VALUES ('aa001', 'aa', 'aa', '128ecf542a35ac5270a87dc740918404', 9874563210, '');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_users` VALUES ('bb001', 'bb', 'bb', '128ecf542a35ac5270a87dc740918404', 9856471230, '8c735a1552b01d5fb501013f8617477b');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_users` VALUES ('cc001', 'cc', 'cc', '128ecf542a35ac5270a87dc740918404', 1458965475, '');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_users` VALUES ('dd001', 'dd', 'dd', '128ecf542a35ac5270a87dc740918404', 3654782545, '');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_users` VALUES ('ee001', 'ee', 'ee', '128ecf542a35ac5270a87dc740918404', 6547896351, '');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_users` VALUES ('ff001', 'ff', 'ff', '128ecf542a35ac5270a87dc740918404', 6547452314, '');
ENDOFSTRING;

$db->query($query);

$query = <<<ENDOFSTRING
INSERT INTO `st221_rb247_project_users` VALUES ('gg001', 'gg', 'gg', '128ecf542a35ac5270a87dc740918404', 3254789666, '');
ENDOFSTRING;

$db->query($query);

echo "Table reset OK";
$db->disconnect();

?>
</center>
